# Supplementary_Ruett_Precision_Agriculture 
This repository (LINK) contains files that contribute to our supplementary materials of the Manuscript: 'Assessing expected utility and profitability to support decision-making for disease control strategies in ornamental heather production' by Marius Ruett, Tobias Dalhaus, Cory Whitney, and Eike Luedeling (under review 2021) (The DOI can be found here when published). 
Within this repository we provide all necessary files to comprehend procedure of code calculations. We illustrate our code for data visualization that enables reproductivity of our figures. Code chunks can be used or optimized for own illustrations based on ```decisionSupport``` outcomes.

## File descriptions

### The Input Table

Our input table ```Input_CBA.csv``` contains all expert estimates that are used in our ```Simulation``` and ```Cost_Benefit``` function.

### The Legend File

Our legend file ```Legend_CBA.csv``` contains all variable descriptions that we use in our code.

### The Model

```Model_Script.R``` and ```Simulation_Function.R``` contain our full code to run the model.

### The Expected Utility Analysis

```Expected_Utility_Analysis.R``` contains our full code to run the expected utility analysis.

### The Code to create Figures

```Plotting_the_results.R``` contains our full code to create the figures.

### The R project

```Supplementary_Ruett_Precision_Agriculture.Rproj``` is where we stored our R project.

### The RMarkdown file

```RMarkdown.Rmd``` contains our RMarkdown file as basis of our Supplementary materials.

### The html file

Our RMarkdown file ```R_Markdown.Rmd``` generates the html file ```R_Markdown.html``` that represents our Supplementary materials.

### Bibfile and citation style

We apply ```precision-agriculture.csl``` as a citation style for our Manuscript and Supplementary materials. All citations are stored in the ```biblibrary.bib``` file. 

## Folder descriptions

### MC_Results_CBA

In this folder you find the results generated by the Monte Carlo simulation.

### EVPI_Results_CBA

In this folder you find the results generated by the EVPI analysis. 

### Plots

In this folder you find our generated plots.

